Subject: Re: Git Screencast ?

From: Michael Donaghy <[email-masked]>
Date: Fri, 23 Nov 2007 18:18:51 -0500

Johannes Gilger wrote:
> On 22/11/07 20:47, Michael Donaghy wrote:
>> Yes thank you , although a screen cast would still be ideal , the 
>> documentation is very good,
>> also , what do you think of git-gui ? , I think it is the best one
> 
> Hi Michael,
> 
> I think you're trying to hide the complexity of git. The problem with 
> graphical tools is that they hide complexity from the user, which in 
> some cases is only possibly/good if the user has understood the 
> underlying principles already. Also I think that there are many things 
> which can be done much quicker using a command-line than any gui (as all 
> of the people here will agree). Git is not Time-Machine (this thing from 
> Apple). It is also no good idea to try to view git from a svn's point of 
> view, or try to compare commands. It took me a while to get over that 
> and accept that git is different. I was frustated (and still am 
> sometimes) but i finally understood the whole concept.
> 
> About screencasts: I haven't watched that many screencasts in general, 
> but I can hardly imagine that they are better way of teaching things 
> than reading a manual. Watching someone type in commands, hitting 
> "Pause", then trying it myself doesn't seem more intuitive to me than 
> just reading a manual and typing the commands given in regular 
> intervals. Maybe someone can enlighten me about the use of screencasts 
> (in a command-line environment).
> 
> Greetings,
> Jojo
> 

I don't know , maybe I learn differently , but
 >'Watching someone type in commands, hitting  "Pause", then trying it
 > myself'
is intuitive for me :)